Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class SecurityIdentification4Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.SecurityIdentification4Choice

public class SecurityIdentification4Choice extends Object

Java class for SecurityIdentification4Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SecurityIdentification4Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="ISIN" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ISINIdentifier"/>
               <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}AlternateSecurityIdentification2"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`isin`
`protected AlternateSecurityIdentification2`
`prtry`

## Constructor Summary

Constructors
Constructor
Description
`SecurityIdentification4Choice()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getISIN()`
Gets the value of the isin property.
`AlternateSecurityIdentification2`
`getPrtry()`
Gets the value of the prtry property.
`void`
`setISIN(String value)`
Sets the value of the isin property.
`void`
`setPrtry(AlternateSecurityIdentification2 value)`
Sets the value of the prtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### isin

protected String isin

### prtry

protected AlternateSecurityIdentification2 prtry

## Constructor Details

### SecurityIdentification4Choice

public SecurityIdentification4Choice()

## Method Details

### getISIN

public String getISIN()
Gets the value of the isin property.

Returns:
  possible object is `String`

### setISIN

public void setISIN(String value)
Sets the value of the isin property.

Parameters:
  `value` - allowed object is `String`

### getPrtry

public AlternateSecurityIdentification2 getPrtry()
Gets the value of the prtry property.

Returns:
  possible object is `AlternateSecurityIdentification2`

### setPrtry

public void setPrtry(AlternateSecurityIdentification2 value)
Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `AlternateSecurityIdentification2`